Merge rsync from Debian unstable for 22.04

Bug #1946898 reported by Bryce Harrington
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
rsync (Ubuntu)
Undecided
Bryce Harrington

Bug Description

Upstream: 3.2.3
Debian: 3.2.3-8
Ubuntu: 3.2.3-4ubuntu1

Debian does new releases regularly, so it's likely there will be newer versions available before FF that we can pick up if this merge is done later in the cycle.

### New Debian Changes ###

rsync (3.2.3-8) unstable; urgency=medium

  * debian/patches:
    - manpage_upstream_fixes.patch: Import multiple upstream patches to fix
      manpage.
    - copy-devices.diff: Add missing manpage changes to patch
    - CVE-2020-14387.patch: Add Forwarded DEP3 field to point to upstream patch
    - fix_delay_updates.patch: Refresh patch
    - fix_mkpath.patch: New upstream patch to fix an edge case on --mkpath
    - fix_rsync-ssl_RSYNC_SSL_CERT_feature.patch: New upstream patch
    - fix_sparse_inplace.patch: New upstream patch to fix --sparse + --inplace
      options
    - update_rrsync_options.patch: New upstream patch to update rrsync options

 -- Samuel Henrique <email address hidden> Sat, 25 Sep 2021 17:38:16 +0100

rsync (3.2.3-7) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0
  * d/p/workaround_glibc_lchmod_regression.patch: New patch from upstream
    (closes: #994543)
  * debian/rsync.NEWS: Fix typo in last entry

 -- Samuel Henrique <email address hidden> Sat, 18 Sep 2021 00:25:13 +0100

rsync (3.2.3-6) unstable; urgency=medium

  * d/t/upstream-tests: Suppress stderr warnings from the build process

 -- Samuel Henrique <email address hidden> Sun, 12 Sep 2021 18:22:57 +0100

rsync (3.2.3-5) unstable; urgency=medium

  [ 刘建强 ]
  * Set the rsync.service not to start automatically after installation,
    the rsyncd.conf configuration file needs to be configured by the user
    before the service can start

  [ Samuel Henrique ]
  * Re-add upstream patch for --copy-devices, the --write-devices option is
    not fully equivalent (closes: #992215)
  * d/rsync.docs: Add NEWS.md file (previously named NEWS) (closes: #993697)
  * d/p/fix_delay_updates.patch: New patch from upstream (closes: #992231)

 -- Samuel Henrique <email address hidden> Sun, 12 Sep 2021 17:25:37 +0100

rsync (3.2.3-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * d/p/fix_ftcbfs_configure.patch: New patch to fix FTCBFS (closes: #971285)

  [ Samuel Henrique ]
  * Bump Standards-Version to 4.5.1

 -- Samuel Henrique <email address hidden> Tue, 02 Feb 2021 23:08:54 +0000

rsync (3.2.3-3) unstable; urgency=high

  * d/p/CVE-2020-14387.patch: New patch to fix an openssl related CVE
    (closes: #969530, CVE-2020-14387)

 -- Samuel Henrique <email address hidden> Sat, 19 Dec 2020 12:48:33 +0000

rsync (3.2.3-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Make the autopkgtests cross-friendly.
    Thanks to Steve Langasek <email address hidden>

 -- Samuel Henrique <email address hidden> Wed, 26 Aug 2020 21:23:57 +0100

rsync (3.2.3-1) unstable; urgency=medium

  * New upstream version 3.2.3
  * debian/patches:
    - time-limit.diff: Remove patch, applied upstream now
    - disable_reconfigure_req.diff: Refresh patch and dep3 headers
    - perl_shebang.patch: Update patch
    - fix_bwlimit_0.patch: Remove patch, applied upstream

 -- Samuel Henrique <email address hidden> Sun, 09 Aug 2020 13:41:10 +0100

rsync (3.2.2-2) unstable; urgency=medium

  * d/p/fix_bwlimit_0.patch: New upstream patch to fix bwlimit=0
    (closes: #964587)

 -- Samuel Henrique <email address hidden> Fri, 10 Jul 2020 18:35:21 +0100

rsync (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2
  * d/rsync.install: Install rsync-no-vanished (closes: #353697)

 -- Samuel Henrique <email address hidden> Mon, 06 Jul 2020 19:01:52 +0100

rsync (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * Remove patches applied upstream:

### Old Ubuntu Delta ###

rsync (3.2.3-4ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: add --disable-asm configure flag. The only asm
      implementation is available for md5 on x86_64, however it is no-op,
      because we built with OpenSSL which has optimized md5
      implementation. Furthermore, linking noop md5 asm on x86_64 results in
      rsync binary not getting marked as CET compatible, because the noop
      md5 asm is not marked as CET compatible. Thus building without noop
      md5 asm, results in rsync gaining CET.

 -- Julian Andres Klode <email address hidden> Mon, 10 May 2021 11:27:26 +0200

Bryce Harrington (bryce)
Changed in rsync (Ubuntu):
assignee: nobody → Bryce Harrington (bryce)
Bryce Harrington (bryce)
Changed in rsync (Ubuntu):
milestone: none → ubuntu-22.01
milestone: ubuntu-22.01 → ubuntu-21.11
Bryce Harrington (bryce)
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers